<?php
session_start();
$nameus=$_SESSION["username"];

if (strpos($_SERVER['PHP_SELF'], 'index.php' ) !== false) { $urlpage='Главная страница'; }
if (strpos($_SERVER['PHP_SELF'], '/support' ) !== false) { $urlpage='Тех.Поддержка'; }
if (strpos($_SERVER['PHP_SELF'], '404.php' ) !== false) { $urlpage='Ошибка 404!'; }
if (strpos($_SERVER['PHP_SELF'], '403.php' ) !== false) { $urlpage='Ошибка 403!'; }
if (strpos($_SERVER['PHP_SELF'], 'games_cat.php' ) !== false) { $urlpage='НАКОРМИ КОТА'; }
if (strpos($_SERVER['PHP_SELF'], '/support/index.php' ) !== false) { $urlpage='Тех.Поддержка'; }
if (strpos($_SERVER['PHP_SELF'], 'wiews_sites.php' ) !== false) { $urlpage='<font color=green>Просмотр рекламы</font>'; }
if (strpos($_SERVER['PHP_SELF'], 'convert .php' ) !== false) { $urlpage='Заказ выплаты'; }
if (strpos($_SERVER['PHP_SELF'], 'all.php' ) !== false) { $urlpage='Просмотр рекламы'; }
if (strpos($_SERVER['PHP_SELF'], 'finset.php' ) !== false) { $urlpage='Финансовая сеть'; }
if (strpos($_SERVER['PHP_SELF'], 'block_user.php' ) !== false) { $urlpage='Попался на Автокликер'; }
if (strpos($_SERVER['PHP_SELF'], 'bonus.php' ) !== false) { $urlpage='Бонусы'; }
if (strpos($_SERVER['PHP_SELF'], 'games.php' ) !== false) { $urlpage='Мир Игр'; }
if (strpos($_SERVER['PHP_SELF'], 'contact.php' ) !== false) { $urlpage='Создание сайтов'; }
if (strpos($_SERVER['PHP_SELF'], 'blacklist.php' ) !== false) { $urlpage='Черный Список'; }
if (strpos($_SERVER['PHP_SELF'], 'users_yesterday.php' ) !== false) { $urlpage='Вчера новых'; }
if (strpos($_SERVER['PHP_SELF'], 'banners100x100.php' ) !== false) { $urlpage='Всего баннеров 100x100'; }
if (strpos($_SERVER['PHP_SELF'], 'banners.php' ) !== false) { $urlpage='Всего баннеров 468x60'; }
if (strpos($_SERVER['PHP_SELF'], 'adv_packet.php' ) !== false) { $urlpage='Заказ пакетов рекламы'; }
if (strpos($_SERVER['PHP_SELF'], 'userstoday.php' ) !== false) { $urlpage='Новые пользователи'; }
if (strpos($_SERVER['PHP_SELF'], 'moneyforklik.php.php' ) !== false) { $urlpage='Повышение цены кликов'; }
if (strpos($_SERVER['PHP_SELF'], 'plagin.php' ) !== false) { $urlpage='Продажа плагинов'; }
if (strpos($_SERVER['PHP_SELF'], 'buyrefs.php' ) !== false) { $urlpage='Системная биржа рефералов'; }
if (strpos($_SERVER['PHP_SELF'], 'lottery.php' ) !== false) { $urlpage='Лотерея'; }
if (strpos($_SERVER['PHP_SELF'], 'wmlogin.php' ) !== false) { $urlpage='Входит через WM кипер'; }
if (strpos($_SERVER['PHP_SELF'], 'spisok_avd.php' ) !== false) { $urlpage='Список Рекламодателей'; }
if (strpos($_SERVER['PHP_SELF'], 'liders.php' ) !== false) { $urlpage='Лидеры проекта'; }
if (strpos($_SERVER['PHP_SELF'], 'obmen.php' ) !== false) { $urlpage='Обмен Валют'; }
if (strpos($_SERVER['PHP_SELF'], 'allstat.php' ) !== false) { $urlpage='10 самых активных пользывателей';}
if (strpos($_SERVER['PHP_SELF'], 'ferma.php' ) !== false) { $urlpage='Игра Ферма'; }
if (strpos($_SERVER['PHP_SELF'], 'oxotnik.php' ) !== false) { $urlpage='Игра Охотник';}
if (strpos($_SERVER['PHP_SELF'], 'planeta.php' ) !== false) { $urlpage='Игра Планета Битвы'; }  
if (strpos($_SERVER['PHP_SELF'], 'competition.php.php' ) !== false) { $urlpage='Бонусы- Акции'; }
if (strpos($_SERVER['PHP_SELF'], 'members.php' ) !== false) { $urlpage='Страница аккаунта'; }
if (strpos($_SERVER['PHP_SELF'], 'news.php' ) !== false) { $urlpage='Новости'; }
if (strpos($_SERVER['PHP_SELF'], 'advertise.php' ) !== false) { $urlpage='Заказ рекламы за WM'; }
if (strpos($_SERVER['PHP_SELF'], 'tos.php' ) !== false) { $urlpage='Правила'; }
if (strpos($_SERVER['PHP_SELF'], 'loginform.php' ) !== false) { $urlpage='Вход в Аккаунт'; }
if (strpos($_SERVER['PHP_SELF'], 'loginform1' ) !== false) { $urlpage='Вход в Аккаунт'; }
if (strpos($_SERVER['PHP_SELF'], 'k-n-b.php' ) !== false) { $urlpage='К-Н-Б'; }
if (strpos($_SERVER['PHP_SELF'], 'mail.php' ) !== false) { $urlpage='Сообщения'; }
if (strpos($_SERVER['PHP_SELF'], 'faq.php' ) !== false) { $urlpage='FAQ'; }
if (strpos($_SERVER['PHP_SELF'], 'vuplat.php' ) !== false) { $urlpage='Заказ выплаты'; }
if (strpos($_SERVER['PHP_SELF'], 'zakazfup.php' ) !== false) { $urlpage='Клики по блокам'; }
if (strpos($_SERVER['PHP_SELF'], 'obnuleniebalansa.php' ) !== false) { $urlpage='Обнуление Баланса'; }
if (strpos($_SERVER['PHP_SELF'], 'surprize.php' ) !== false) { $urlpage='Антикликерская Ссылка'; }
if (strpos($_SERVER['PHP_SELF'], 'pozor.php' ) !== false) { $urlpage='Наши автокликеры'; }
if (strpos($_SERVER['PHP_SELF'], 'loter.php' ) !== false) { $urlpage='Лотерея 5 билетов'; }
if (strpos($_SERVER['PHP_SELF'], 'chat.php' ) !== false) { $urlpage='Чат'; }
if (strpos($_SERVER['PHP_SELF'], 'opros_sites.php' ) !== false) { $urlpage='Опрос Пользователей'; }
if (strpos($_SERVER['PHP_SELF'], 'bux.php' ) !== false) { $urlpage='Плагины для SoooFast'; }
if (strpos($_SERVER['PHP_SELF'], 'buxplagin.php' ) !== false) { $urlpage='Плагины для Ultimatex'; }
if (strpos($_SERVER['PHP_SELF'], 'bux2.php' ) !== false) { $urlpage='Плагины для SoooFast 2'; }
if (strpos($_SERVER['PHP_SELF'], 'buxskript.php' ) !== false) { $urlpage='Программы и скрипты'; }
if (strpos($_SERVER['PHP_SELF'], 'convert.php' ) !== false) { $urlpage='Вывод средств'; }
if (strpos($_SERVER['PHP_SELF'], 'moneyforadv.php' ) !== false) { $urlpage='Конвертация в рекламу'; }
if (strpos($_SERVER['PHP_SELF'], 'buyref.php' ) !== false) { $urlpage='Покупка рефералов'; }
if (strpos($_SERVER['PHP_SELF'], 'catalog.php' ) !== false) { $urlpage='Каталог ссылок'; }
if (strpos($_SERVER['PHP_SELF'], 'profile.php' ) !== false) { $urlpage='Страница профиля'; }
if (strpos($_SERVER['PHP_SELF'], '80dney.php' ) !== false) { $urlpage='Вокруг Света за 80 дней'; }
if (strpos($_SERVER['PHP_SELF'], 'history.php' ) !== false) { $urlpage='История выплат'; }
if (strpos($_SERVER['PHP_SELF'], 'upgrade.php' ) !== false) { $urlpage='Покупка V.I.P. аккаунта'; }
if (strpos($_SERVER['PHP_SELF'], 'referals.php' ) !== false) { $urlpage='Список рефералов'; }
if (strpos($_SERVER['PHP_SELF'], 'login.php' ) !== false) { $urlpage='Вход в аккаунт'; }
if (strpos($_SERVER['PHP_SELF'], 'opros_sites.php' ) !== false) { $urlpage='Опрос пользователей'; }
if (strpos($_SERVER['PHP_SELF'], 'taskok.php' ) !== false) { $urlpage='Список Выполненых Заданий'; }
if (strpos($_SERVER['PHP_SELF'], 'register.php' ) !== false) { $urlpage='Регистрация'; }
if (strpos($_SERVER['PHP_SELF'], 'tasklist.php?p=onlymy' ) !== false) { $urlpage='Список своих Заданий'; }
if (strpos($_SERVER['PHP_SELF'], 'online.php' ) !== false) { $urlpage='Список онлайн'; }
if (strpos($_SERVER['PHP_SELF'], 'taskadd.php' ) !== false) { $urlpage='Создание нового Задания'; }
if (strpos($_SERVER['PHP_SELF'], 'taskcheck.php' ) !== false) { $urlpage='Проверка Выполнений Задания'; }
if (strpos($_SERVER['PHP_SELF'], 'autoreferal.php' ) !== false) { $urlpage='Покупка Авторефералов'; }
if (strpos($_SERVER['PHP_SELF'], 'security.php' ) !== false) { $urlpage='Защита Аккаунта'; }
if (strpos($_SERVER['PHP_SELF'], 'payreq.php' ) !== false) { $urlpage='Задания'; }
if (strpos($_SERVER['PHP_SELF'], 'mails.php' ) !== false) { $urlpage='Платные письма'; }
if (strpos($_SERVER['PHP_SELF'], 'auction.php' ) !== false) { $urlpage='Аукцион рефералов'; }
if (strpos($_SERVER['PHP_SELF'], 'tasklist.php' ) !== false) { $urlpage='Задания'; }
if (strpos($_SERVER['PHP_SELF'], 'addtextads.php' ) !== false) { $urlpage='Размещение текстового обьявления'; }
if (strpos($_SERVER['PHP_SELF'], 'addtochain.php' ) !== false) { $urlpage='Рекламная цепочка'; }
if (strpos($_SERVER['PHP_SELF'], 'refeals.php' ) !== false) { $urlpage='Рефералы 2ур.'; }
if (strpos($_SERVER['PHP_SELF'], 'addtoblock.php' ) !== false) { $urlpage='Размещение платной рекламы'; }
if (strpos($_SERVER['PHP_SELF'], 'bce.php' ) !== false) { $urlpage='История лотереи 500 игр'; }
if (strpos($_SERVER['PHP_SELF'], 'refbuck.php' ) !== false) { $urlpage='Реф.Бек рефералам'; }
if (strpos($_SERVER['PHP_SELF'], 'mail.php?p=inbox' ) !== false) { $urlpage='Входящие Сообщения'; }
if (strpos($_SERVER['PHP_SELF'], 'buyrefbot.php' ) !== false) { $urlpage='Покупка реф ботов'; }
if (strpos($_SERVER['PHP_SELF'], 'avtoreferal.php' ) !== false) { $urlpage='Заказ Авто-реферала'; }
if (strpos($_SERVER['PHP_SELF'], 'refbirj.php' ) !== false) { $urlpage='Биржа Рефералов'; }
if (strpos($_SERVER['PHP_SELF'], 'reflinks.php' ) !== false) { $urlpage='Рекламные Материалы'; }
if (strpos($_SERVER['PHP_SELF'], 'moneytoacc.php' ) !== false) { $urlpage='Пополнение счета'; }
if (strpos($_SERVER['PHP_SELF'], 'competition.php' ) !== false) { $urlpage='Конкурсы- Акции'; }
if (strpos($_SERVER['PHP_SELF'], 'waitpay.php' ) !== false) { $urlpage='Список ожидающих выплаты'; }


$uo_sessionTime = 5;

error_reporting(E_ERROR | E_PARSE);

$uo_ip = $_SERVER['REMOTE_ADDR'];

$uo_query = "DELETE FROM users_online WHERE unix_timestamp() - lastvisit >= $uo_sessionTime * 60";
mysql_query($uo_query);

$uo_query = "SELECT lastvisit FROM users_online WHERE visitor = '$uo_ip'";
$uo_result = mysql_query($uo_query);
if(mysql_num_rows($uo_result) == 0) {
	$uo_query = "INSERT INTO users_online (visitor,lastvisit,user,urlpage) VALUES('$uo_ip', unix_timestamp(), '$nameus', '$urlpage')";
	mysql_query($uo_query);
} else {
	$uo_query = "UPDATE users_online SET lastvisit = unix_timestamp(), urlpage='$urlpage', user='$nameus' WHERE visitor = '$uo_ip'";
	mysql_query($uo_query);
}

if($uo_keepquiet  == FALSE) {
	$uo_query = "SELECT count(*) FROM users_online";
	$uo_result = mysql_query($uo_query);
	$uo_count = mysql_fetch_row($uo_result);

	echo $uo_count[0];
}

?>
